<?
if (!defined('_GNUBOARD_')) exit;

$cols  = 6;
$col_height = 5;

$cnt_bo_1 =  1; // 한줄당 분류 갯수 
?>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>

<?
    $icon_h =""; //출력부분 아이콘

    $cnt = 1;
    
    $row = sql_fetch(" SELECT bo_category_list FROM $g4[board_table] WHERE bo_table = '$bo_table' ");
    
    $arr = explode("|", $row[bo_category_list]); // 구분자가 , 로 되어 있음
    
    $str = "";
    
    $str .= "<tr>";
     
    for ($i=0; $i<count($arr); $i++) 
        
        if (trim($arr[$i]))  {
        
        //카테고리별 게시물수 체크
    	
    	$row1 = sql_fetch(" SELECT count(*) as cat_cnt FROM {$g4[write_prefix]}{$bo_table} WHERE ca_name = '$arr[$i]' and wr_comment >= 0 ");
  
        //출력부분 설정
         
        $str .= "<td style=''>".$icon_h."<a href='$g4[path]/n/board.php?bo_table=$bo_table&page=$page&mode=$mode&sca=$arr[$i]'>$arr[$i]</a></td>";
		
		if ($cnt == $cnt_bo_1) { $cnt = 0; $str .= "</tr><tr>"; } //줄바꿈 부분
     	
     	$cnt++;
    }
    
?>

<?=$str?>